Cette page n’est pas encore traduite en français : elle est affichée en anglais.
Get info of a Bot Runner
This returns detailed information on a specific Bot Runner including all the workflows where the Bot Runner is assigned.
gethttps://api.{region}.electroneek.com/v1/orchestrator/bot-runner/{id}
Valeurs possibles de {region} : na, cis, apac, latam, emea
Essayer
Paramètres de chemin
Renseignez id pour envoyer cette requête.
cURL
curl --request GET \
--url 'https://api.na.electroneek.com/v1/orchestrator/bot-runner/{id}'Authentification
Utilisez un token API de la page Orchestrateur → Intégrations. Envoyez-le comme jeton bearer : Authorization: Bearer <token>.
Paramètres de chemin
| Nom | Type | Obligatoire | Description |
|---|---|---|---|
id | string | oui | Bot Runner ID |
Réponse
200Success
Corps de la réponse
object
iduuidobligatoireID of the Bot Runner
namestringobligatoireName of the Bot Runner
statusstring (ready, in_progress, offline)obligatoireStatus of the Bot Runner
versionstringobligatoireVersion of the Bot Runner
login_asobjectobligatoireOrganization's data to which the API key belongs. Starting from the version 7.0, we replaced the login-password connection of Orchestrator to Bot Runner with tokens
object
typestringvaluestringhost_namestringobligatoireName of the computer where Bot Runner is installed.
status_sincedate-timeassigned_workflowsarray of objectsobject
iduuidobligatoirenamestringobligatoiredescriptionstringobligatoireMis à jour